## unison 2.27.57

=== Makefile ===
--- 
+++ 
@@ -72,6 +72,12 @@
 
 # This has two names because on OSX the file INSTALL shadows the target 'install'!
 install: doinstall
+
+installtext: 
+	make -C .. installtext
+
+text: 
+	make -C .. text
 
 doinstall: $(NAME)$(EXEC_EXT)
 	-mv $(INSTALLDIR)/$(NAME)$(EXEC_EXT) /tmp/$(NAME)-$(shell echo $$$$)
@@ -193,50 +199,21 @@
 	mv -f prefsdocsjunk.tmp prefsdocs.tmp
 
 # For developers at Penn
-runsaul: all
-	-date > a.tmp/x
-	./$(NAME) -servercmd current/unison/src/unison \
-	          -debug all -debugtimes \
-                  a.tmp ssh://saul/$(HOME)/current/unison/src/b.tmp
-
-runlocal: all
-	-date > a.tmp/x
-	./$(NAME) -servercmd current/unison/src/unison \
-                  test1 a.tmp ssh://localhost/$(HOME)/current/unison/src/b.tmp \
-	          -debug gc
-
-rshsaul: all
-	-date > a.tmp/x
-	./$(NAME) a.tmp rsh://saul/$(HOME)/current/unison/src/b.tmp
-
-byte:
-	$(MAKE) all NATIVE=false
-
 runtest:
-	$(MAKE) all NATIVE=false DEBUG=true
-	./unison test
-
-runbare:
-	$(MAKE) all NATIVE=false DEBUG=true
-	./unison
-
-runtesttext:
+	$(MAKE) all NATIVE=false DEBUG=true 
+	./unison test 
+
+selftest:
 	$(MAKE) all NATIVE=false DEBUG=true UISTYLE=text
-	./unison test -ui text -batch
-
-runjunk: byte
-	./unison current -debug all
-
-temp:
-	$(MAKE) UISTYLE=text
-	-mkdir a.tmp b.tmp
-	echo "A " > a.tmp/xxx
-	date >> a.tmp/xxx
-	echo "B " > b.tmp/xxx
-	date >> b.tmp/xxx
-	md5 a.tmp/xxx
-	md5 b.tmp/xxx
-	echo "l" | ./unison test -ignorelocks
+	./unison -selftest -ui text -batch 
+
+selftestdebug:
+	$(MAKE) all NATIVE=false DEBUG=true UISTYLE=text
+	./unison -selftest -ui text -batch -debug all
+
+selftestremote:
+	$(MAKE) all NATIVE=false DEBUG=true UISTYLE=text
+	./unison -selftest -ui text -batch test.tmp ssh://eniac.seas.upenn.edu/test.tmp 
 
 testmerge:
 	$(MAKE) all NATIVE=false UISTYLE=text
@@ -353,7 +330,7 @@
 .PHONY: tags
 
 tags:
-	-$(ETAGS) *.mli */*.mli *.ml */*.ml *.m */*.m *.c */*.c *.txt
+	-$(ETAGS) *.mli */*.mli *.ml */*.ml */*.m *.c */*.c *.txt
 
 all:: TAGS
 
@@ -376,6 +353,7 @@
 ifeq (${OSARCH},osx)
 clean::
 	-(cd uimac; xcodebuild clean)
+	-(cd uimac; $(RM) -r build *.plist)
 endif
 
 checkin:
