## unison 2.32.52

=== debian/changelog ===
unison (2.32.52-3) unstable; urgency=low

  * Team upload
  * Remove obsolete README.source
  * Add Fix-bad-interaction-with-OpenSSH-5.6.patch (Closes: #620031)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 03 Apr 2011 13:16:18 +0200

unison (2.32.52-2) unstable; urgency=low

  * Team upload
  * Switch source package format to 3.0 (quilt)
  * Add patch to fix build with OCaml 3.12 (Closes: #585453)
  * Add "set -e" to maintainer scripts
  * Remove conflicts older than oldstable
  * Bump Standards-Version to 3.9.1

 -- Stéphane Glondu <glondu@debian.org>  Thu, 10 Feb 2011 12:21:24 +0100

unison (2.32.52-1) unstable; urgency=low

  * New upstream release (Closes: #559054)
  * Merge changes from unison2.27.57:
    * Move ${F:OtherUnison*} fields first due to a problem when merging
      conflicts in dpkg-gencontrol
  * Generate manpage using debian/generate-manpage.ml and output of 'unison
    -help', so manpage is always up-to-date
    (Closes: #524526, #517972, #524475)
  * Backup files changed during build (lwt/depend, ubase/depend)

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 27 Feb 2010 18:57:02 +0000

unison (2.27.57-4) unstable; urgency=low

  * Merge changes from unison2.27.57:
    * Update Standards-Version to 3.8.4 (no change)
    * Stop using dh_desktop
    * Use dh_ocaml 0.9 features (auto dependencies)
  * unison binaries are custom executables, so we can remove Depends on any
    ocaml-base* packages (Closes: #540481)
  * Add bash_completion (Closes: #349782, #481070)
  * Use the full path to access icon in .desktop (Closes: #541700)
  * Patch from unison trunk to remove 'Connected ...' message even when
    -silent is set (Closes: #497729, #551199)
  * Auto generate conflicts with unisonX.Y.Z or unison (X.Y.Z) package
    (Closes: #570910)
  * Enhance templating for unison and unison-gtk common files

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 25 Feb 2010 01:00:47 +0000

unison (2.27.57-2) unstable; urgency=low

  * Correct typo in documentation, thanks to Lucas B. Cohen
    (Closes: #137960, #129478, #466173)
  * Switch packaging to git
  * Set maintainer to Debian OCaml Maintainers
  * Add dh-ocaml build-dependency (rules/ocaml.mk)
  * Upgrade debian/compat to 7
  * Upgrade Standards-Version to 3.8.0 (debian/README.source)
  * Add ${misc:Depends} to dependencies
  * Update debian/copyright file to use
    http://wiki.debian.org/Proposals/CopyrightFormat
  * Remove obsolete debian/control.in related variables and files

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 05 Mar 2009 12:10:11 +0100

unison (2.27.57-1) unstable; urgency=low

  [ Sylvain Le Gall]
  * New upstream release (Closes: #462598):
    * New option mountpoint can help avoid problem with removable media
      (Closes: #349674)
  * Unset CFLAGS in debian/rules (Closes: #476051)
  * Upgrade to standards version 3.7.3 (no change)
  * Update README.Debian to add new package unison2.13.16
  * Remove debian/control.in
  * Remove now useless gtkfont patch
  * Change doc-base section to File Management

  [ Stefano Zacchiroli ]
  * promote Homepage to a real debian/control field, now that dpkg supports it
  * fix vcs-svn field to point just above the debian/ dir

 -- Sylvain Le Gall <gildor@debian.org>  Mon, 14 Apr 2008 19:39:39 +0200

unison (2.13.16-9) unstable; urgency=low

  * Use a correct way to test thing in shell (Closes: #443715)

 -- Sylvain Le Gall <gildor@debian.org>  Sun, 23 Sep 2007 23:54:42 +0200

unison (2.13.16-8) unstable; urgency=low

  * Change section from net to utils
  * Tighten build-dependency on lablgtk2 and librsvg2
  * Rework description of the package

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 20 Sep 2007 16:53:23 +0200

unison (2.13.16-7) unstable; urgency=low

  * Upgrade debian/watch version to 3,
  * Upgrade debhelper debian/compat to 5,
  * Use CDBS for debian/rules,
  * Add debian/unison-gtk.desktop.in (Closes: #387666, #422495),
  * Add a note in README.Debian about removable media
  * Change my email address to gildor@debian.org,
  * Change email address to gildor@debian.org everywhere
  * Rebuild for ocaml 3.10.0
  * Add icons for unison-gtk
  * Use ocamlopt.opt when possible
  * Provide a link from unison to unison-2.13 to work with
    "addversionno = true" (Closes: #368418, #392099)
  * Apply patche 01gtkfont to stop trying to use deprecated
    font setting, thanks to Norman Ramsey (Closes: #372545)
  * Add a note on what unison-latest-stable is supposed to do in
    README.Debian (Closes: #361900), in the same time explain failure
    when trying to upgrade with update-alternatives (Closes: #335413)
  * unison-gtk is now an alternative to unison (Closes: #411297)
  * change stable release codename to Etch in README.Debian
    (Closes: #394738)

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 20 Sep 2007 15:58:53 +0200

unison (2.13.16-6) unstable; urgency=low

  * Add a note in README.Debian concerning the use of removable media
  * Use ubuntu patch against bashism (Closes: #376362)

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 15 Feb 2007 22:36:17 +0100

unison (2.13.16-5) unstable; urgency=low

  * Rebuild for OCaml 3.09.1

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Tue,  7 Feb 2006 00:36:07 +0100

unison (2.13.16-4) unstable; urgency=low

  * Forget to replace 3.08.3 by $(OCAMLABI) in the substvar
    OCaml:Interpreter

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Sat,  3 Dec 2005 00:56:50 +0100

unison (2.13.16-3) unstable; urgency=low

  * Remove hardcoded OCaml ABI

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Fri,  2 Dec 2005 23:26:39 +0100

unison (2.13.16-2) unstable; urgency=low

  * Recommend ssh-client | openssh-client rather than ssh
  * Remove dependency between unison and unison-gtk:
    * Copy manual to unison-gtk.1
    * Install documentation in all package
    * (Closes: #308683)
  * Use "mv unison $(UNISON)" and "$(UNISON_GTK)" rather than supplying

