## unison 2.40.63

=== debian/changelog ===
unison (2.40.63-2) unstable; urgency=low

  * Remove unison-gtk alternative on uninstall (Closes: #657420)
  * Add myself to Uploaders, remove Sylvain
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Thu, 26 Jan 2012 07:03:15 +0100

unison (2.40.63-1) experimental; urgency=low

  * Team upload
  * New upstream release (Closes: #641462)
    - remove all former patches; the issues they fix seem to have been
      addressed upstream
    - add a new patch to fix all typos reported by Lintian
  * debian/control:
    - remove build-dependency to quilt
    - replace Conflicts by Replaces/Breaks
    - bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sun, 08 Jan 2012 14:25:17 +0100
