=== debian/control ===
--- 
+++ 
@@ -2,17 +2,17 @@
 Section: utils
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Sylvain Le Gall <gildor@debian.org>
+Uploaders:
+ Stéphane Glondu <glondu@debian.org>
 Build-Depends: cdbs (>= 0.4.23),
  debhelper (>= 7),
- quilt (>= 0.46-7~),
  ocaml-nox (>= 3.10.0-8),
  liblablgtk2-ocaml-dev (>= 2.12.0-2),
  chrpath,
  librsvg2-bin (>= 2.18.2),
  imagemagick,
  dh-ocaml (>= 0.9.1)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/unison.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/unison.git
 Homepage: http://www.cis.upenn.edu/~bcpierce/unison/
@@ -21,8 +21,9 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${ocaml:Depends}, ${misc:Depends}
 Recommends: ssh-client | openssh-client
-Conflicts: ${F:OtherUnison}
-Description: A file-synchronization tool for Unix and Windows
+Replaces: ${F:OtherUnison}
+Breaks: ${F:OtherUnison}
+Description: file-synchronization tool for Unix and Windows
  Unison is a file-synchronization tool for Unix and Windows, written
  in OCaml. It allows two replicas of a collection of files and
  directories to be stored on different hosts (or different disks
@@ -45,9 +46,10 @@
 Package: unison-gtk
 Architecture: any
 Depends: ${shlibs:Depends}, ${ocaml:Depends}, ${misc:Depends}
-Conflicts: ${F:OtherUnisonGtk}
+Replaces: ${F:OtherUnisonGtk}
+Breaks: ${F:OtherUnisonGtk}
 Recommends: ssh-askpass, ssh-client | openssh-client
-Description: A file-synchronization tool for Unix and Windows with GTK+ interface
+Description: file-synchronization tool for Unix and Windows with GTK+ interface
  Unison is a file-synchronization tool for Unix and Windows, written
  in OCaml. It allows two replicas of a collection of files and
  directories to be stored on different hosts (or different disks
