=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,6 @@
 
 include /usr/share/cdbs/1/rules/ocaml.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 
 VERSION=$(DEB_UPSTREAM_VERSION)
 # version used with addversionno in unison
@@ -53,7 +52,7 @@
 UNISON_GTK_VERSIONNO=unison-$(VERSIONNO)-gtk
 UNISON_GTK_VAR=$(call TR,$(UNISON_GTK))
 
-RENAME := debian/unison.1.in 
+RENAME := debian/unison.1.in
 RENAME += debian/unison.doc-base.in
 RENAME += debian/unison-gtk.menu.in
 RENAME += debian/unison-gtk.svg.in
@@ -84,23 +83,14 @@
 
 DEB_INSTALL_DOCS_ALL := BUGS.txt TODO.txt unison-manual.txt -X unison.doc-base.in
 
-DEB_INSTALL_CHANGELOGS_ALL := NEWS 
+DEB_INSTALL_CHANGELOGS_ALL := NEWS
 
 #
 # Build unison
 #
- 
-BACKUP=lwt/depend ubase/depend
+
 configure::
 	cp config/Makefile.unix config/Makefile
-	for i in $(BACKUP); do \
-	  if ! test -e $$i.org; then cp $$i $$i.org; fi; \
-	done
-
-clean::
-	for i in $(BACKUP); do \
-	  if test -e $$i.org; then mv $$i.org $$i; fi; \
-	done
 
 build/$(UNISON_PACKAGE)::
 	$(MAKE) UISTYLE=text NATIVE=$(NATIVE) $(MY_MAKE_FLAGS) CFLAGS=
@@ -115,6 +105,7 @@
 	-$(RM) '$(CURDIR)/$(UNISON_GTK)'
 	-$(RM) '$(CURDIR)/$(UNISON)'
 	$(MAKE) clean
+	rm lwt/depend ubase/depend
 
 debian/unison-manual.txt: build/$(UNISON_PACKAGE)
 	env HOME='$(CURDIR)' '$(CURDIR)/$(UNISON)' -doc all > '$(CURDIR)/unison-manual.txt'
@@ -214,7 +205,7 @@
 # Rename and substitute files
 #
 
-unison-rename: unison-rename-stamp 
+unison-rename: unison-rename-stamp
 unison-rename-stamp: $(RENAME)
 	# Rename all the debhelper files needed and substitue the @XXX@
 	# string
@@ -223,7 +214,7 @@
 	  sed $(SED_REPLACE) $$i > "$(CURDIR)/$$DST"; \
 	done
 	
-	# We always need to rename the manual 
+	# We always need to rename the manual
 	cp '$(CURDIR)/debian/$(UNISON_PACKAGE).1' '$(CURDIR)/debian/$(UNISON).1'
 	# We copy unison.1 to unison-gtk.1
 	cp '$(CURDIR)/debian/$(UNISON).1' '$(CURDIR)/debian/$(UNISON_GTK).1'
@@ -236,4 +227,11 @@
 	  DST=`echo $$i | sed -e "s/unison/${UNISON_PACKAGE}/" -e "s/\\.in\\$$//"`; \
 	  $(RM) "$(CURDIR)/$$DST"; \
 	done
-	-$(RM) '$(CURDIR)/debian/$(UNISON).1' 
+	-$(RM) '$(CURDIR)/debian/$(UNISON).1'
+	-$(RM) '$(CURDIR)/debian/$(UNISON_GTK).1'
+	-$(RM) '$(CURDIR)/unison-rename-stamp'
+
+.PHONY: unison-rename
+
+common-binary-indep:: unison-rename template
+common-binary-arch:: unison-rename template
